> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Image Prewarm Task



## OpenAPI

````yaml api-reference/gpus-v2-spec/create-image-prewarm.json POST /gpus/v2/prewarm-tasks
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/prewarm-tasks:
    post:
      summary: Create Image Prewarm Task
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 'Allowed value: application/json.'
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - image
                - region_id
              properties:
                image:
                  type: string
                  description: >-
                    Fully qualified image to prewarm. String, length: 1-4095
                    characters.
                  example: registry.example.com/team/image:tag
                region_id:
                  type: string
                  description: 'Target region ID. String, length: 1-255 characters.'
                  example: region-a
                registry_auth_id:
                  type: string
                  description: >-
                    Registry authentication ID. Required when prewarming a
                    private image. String, length: 0-255 characters.
                  example: registry-auth-id
                product_ids:
                  type: array
                  items:
                    type: string
                  description: Product IDs to cover with prewarming.
                  example:
                    - product-a
                    - product-b
                note:
                  type: string
                  description: Note for the prewarm task.
                  example: ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                    description: Image prewarm task ID
                    example: prewarm-task-id

````